/*  cpuModel.h
 *
 *  This file contains declaration for variables and code
 *  that may be used to get the Intel Cpu identification
 *  that has been performed by checkCPUtypeSetCr0 function.
 *
 *  COPYRIGHT (c) 1998 valette@crf.canon.fr
 *
 *  The license and distribution terms for this file may be
 *  found in the file LICENSE in this distribution or at
 *  http://www.rtems.com/license/LICENSE.
 *
 *  $Id: cpuModel.h,v 1.3.4.1 2003/09/04 18:45:43 joel Exp $
 */

#ifndef libcpu_cpuModel_h
#define libcpu_cpuModel_h

/*
 * Tell us the machine setup..
 */

extern char hard_math;	/* floating point coprocessor present indicator */
extern char x86;	/* type of cpu (3 = 386, 4 =486, ...) */
extern char x86_model;
extern char x86_mask;
extern int x86_capability;
extern char x86_vendor_id[13];
extern int have_cpuid;  
extern unsigned char Cx86_step; /* cyrix processor identification */

extern void printCpuInfo(); /* Display this information on console in ascii form */

#endif
